extends Area2D


var damage = 20

func set_color(col):
	$Sprite.modulate = col
	
func set_damage(dmg):
	damage = dmg


func _on_LifeTimer_timeout():
	queue_free()


func _on_Explosion_body_entered(body):
	if body.is_in_group("player"):
		stats.take_damage(damage)
